## Tcl8.6.0/Tk8.6.0 Documentation > Tcl C API, version 8.6.0 > Signal

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tcl_SignalId, Tcl_SignalMsg — Convert signal codes

### SYNOPSIS

#include <tcl8.6/tcl.h>
const char *
Tcl_SignalId(sig)
const char *
Tcl_SignalMsg(sig)

### ARGUMENTS

int sig (in)
  A POSIX signal number such as SIGPIPE.

### DESCRIPTION

Tcl_SignalId and Tcl_SignalMsg return a string representation of the provided signal number (sig). Tcl_SignalId returns a machine-readable textual identifier such as “SIGPIPE”. Tcl_SignalMsg returns a human-readable string such as “bus error”. The strings returned by these functions are statically allocated and the caller must not free or modify them.

### KEYWORDS

signals, signal numbers
Copyright © 2001 ActiveState Tool Corp.